#!/usr/bin/perl
use strict;
use warnings;

open(IN, $ARGV[0]) or die ("Can't open $ARGV[0]\n");
while (my $line=<IN>){
	if ($line =~ /^\@/){
		#Header conservation
		print $line;
	}
	else {
		#Optionnal flag verification
		if (($line =~ /XT\:A\:U/)&&($line =~ /X0\:i\:1/)&&($line =~ /X1\:i\:0\s/)){
			my @fields = split (/\s+/,$line);
			if (($fields[1]==83)||($fields[1]==163)||($fields[1]==147)||($fields[1]==99)){
				print $line;
			}
		}
	}
}


close (IN);